Loading...
Searching...
No Matches
pcm_simple.c File Reference
PCM Interface » Simple setup functions

PCM Simple Interface. More...

Include dependency graph for pcm_simple.c:

## Functions

int | snd_spcm_init (snd_pcm_t *pcm, unsigned int rate, unsigned int channels, snd_pcm_format_t format, snd_pcm_subformat_t subformat, snd_spcm_latency_t latency, snd_pcm_access_t access, snd_spcm_xrun_type_t xrun_type)
| Set up a simple PCM.
int | snd_spcm_init_duplex (snd_pcm_t *playback_pcm, snd_pcm_t *capture_pcm, unsigned int rate, unsigned int channels, snd_pcm_format_t format, snd_pcm_subformat_t subformat, snd_spcm_latency_t latency, snd_pcm_access_t access, snd_spcm_xrun_type_t xrun_type, snd_spcm_duplex_type_t duplex_type)
| Initialize simple PCMs in the duplex mode.
int | snd_spcm_init_get_params (snd_pcm_t *pcm, unsigned int *rate, snd_pcm_uframes_t *buffer_size, snd_pcm_uframes_t *period_size)
| Get the set up of simple PCM.

## Detailed Description

PCM Simple Interface.

Author
  Jaroslav Kysela perex.nosp@m.@per.nosp@m.ex.cz

Date
  2004